#pragma once

#include <SDL/SDL.h>
#include "graphics.h"
#include <vector>
#include "main.h"
#include <DBLog.h>
using namespace std;

class CGameState;

class CGameEngine
{
public:

	void Init(const char* title, int width=320, int height=240,
		int bpp=16, bool fullscreen=false);
	void Cleanup();

	void ChangeState(CGameState* state);
	void PushState(CGameState* state);
	void PopState();

	void HandleEvents();
	void Update();
	void Draw();

	bool Running() { return m_running; }
	void Quit() { m_running = false; }

	SDL_Surface* screen;

private:
	// the stack of states
	vector<CGameState*> states;
	SDL_Joystick *joy;
	bool m_running;
	bool m_fullscreen;
};
enum
{
	SDL_MOUSEL=1,
	SDL_MOUSER,
	SDL_MOUSEC,
	SDL_WHEELU,
	SDL_WHEELD,
};
