#include <math.h>


#include <SDL/SDL.h>
#include "gamestate.h"
#include "gameengine.h"
#include "playstate.h"
#include "menustate.h"
#include "itemstate.h"
CPlayState playState;
CPlayState CPlayState::m_PlayState;
extern CMenuState menuState;
void CPlayState::Init()
{
	radius = 54;
	player = SDL_LoadBMP("NULL.bmp");
	turn=false;
	DrawCircle(
		player, 
		player->w/2, player->h/2, 
		radius, 
		255, 255, 255);

	SDL_Surface* screen = SDL_GetVideoSurface();
	degree = 0.0f;
	mx = screen->w / 2;
	my = screen->h / 2;
	px = 0;
	py = 0;
	SDL_WarpMouse(mx, my);
	SDL_ShowCursor(true);
	SDL_FillRect(screen, NULL, 0);
}

void CPlayState::Cleanup()
{
	SDL_FreeSurface(player);
	//delete player;
	//	SDL_FreeSurface(player1);
	//	SDL_FreeSurface(player2);
	SDL_ShowCursor(false);
}

void CPlayState::Pause()
{
	SDL_ShowCursor(false);
}

void CPlayState::Resume()
{
	SDL_ShowCursor(true);
	SDL_WarpMouse(mx, my);

	SDL_Surface* screen = SDL_GetVideoSurface();
	SDL_FillRect(screen, NULL, 0);
}

void CPlayState::HandleEvents(CGameEngine* game)
{
	SDL_Event event;

	if (SDL_PollEvent(&event))
	{
		switch (event.type) {
			case SDL_QUIT:
				game->Quit();
				break;
			case SDL_JOYBUTTONDOWN:
				if ( event.jbutton.button == VK_START )
				{
					game->ChangeState( &menuState );
					//game->PopState();
				}
				break;
			case SDL_KEYDOWN:
				switch (event.key.keysym.sym)
				{
				case SDLK_ESCAPE:
					game->ChangeState( &menuState );
					//game->PopState();
					break;
				case SDLK_i:
					game->PushState( CItemState::Instance() );
					break;
				}
				break;

			case SDL_MOUSEMOTION:
				mx = event.motion.x;
				my = event.motion.y;
				break;
			case SDL_MOUSEBUTTONDOWN:
				switch ( event.button.button )
				{
				case 1:
					turn=!turn;
					break;
				case 4:
					radius--;
					break;
				case 5:
					radius++;
					break;
				}
		}
	}
}

void CPlayState::Update(CGameEngine* game)
{
	px = mx;//(int)(mx + cos(degree) * radius);
	py = my;//(int)(my - sin(degree) * radius);
	/*	degree += 0.005f;
	if (degree > 2 * 3.141952)
	degree = 0.0f;
	*/
}

void CPlayState::Draw(CGameEngine* game)
{
	SDL_Rect dstrect;

	ClearScr(player);
	if(!turn)
	{
		DrawCircle(
			player, 
			player->w/2, player->h/2, 
			radius, 
			255, 255, 255);
	}
	else
	{
		DrawLine(
			player,(player->w/2-radius),
			(player->h/2-radius), (player->w/2+radius),
			(player->h/2+radius),
			255, 255, 255);
		DrawLine(
			player, 
			(player->w/2-radius), (player->h/2+radius), 
			(player->w/2+radius), (player->h/2-radius), 
			255, 255, 255);
	}

	dstrect.x = px - (player)->w / 2;
	dstrect.y = py - (player)->h / 2;
	DrawFillRect(game->screen, 0,0, 320,240, 128, 128, 128);
	SDL_BlitSurface(player, 0, game->screen, &dstrect);
	SDL_Flip(game->screen);
}

